BuildRequires: gcc-c++
Name:		CGSI-gSOAP
Version:	1.3.5
Release:	alt1_4
Summary:	GSI plugin for gSOAP

Group:		System/Libraries
License:	ASL 2.0
URL:		http://glite.web.cern.ch/glite/
#		The source tarfile is created from a subversion checkout:
#		svn export http://svnweb.cern.ch/guest/lcgutil/cgsi-gsoap/tags/cgsi-gsoap_R_1_3_5_2 CGSI-gSOAP-1.3.5
#		tar -z -c -f CGSI-gSOAP-1.3.5.tar.gz CGSI-gSOAP-1.3.5
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-library-linking.patch

BuildRequires:	globus-gss-assist-devel%{?_isa}
BuildRequires:	globus-gssapi-gsi-devel%{?_isa}
BuildRequires:	gsoap-devel%{?_isa}
BuildRequires:	voms-devel%{?_isa}
BuildRequires:	doxygen
Source44: import.info
Patch33: CGSI-gSOAP-alt-library-linking.patch

%description
This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
GSI secure authentication and encryption on top of gSOAP.

%package devel
Summary:	GSI plugin for gSOAP - development files
Group:		Development/C
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the header files for programming with the cgsi-gsoap
plugins.

%prep
%setup -q
%patch0 -p1

# Fix bad permissions (which otherwise end up in the debuginfo package)
find . '(' -name '*.h' -o -name '*.c' -o -name '*.cpp' -o -name '*.cc' ')' \
    -exec chmod 644 {} ';'
chmod 644 LICENSE RELEASE-NOTES

# Remove -L/usr/lib and -L/usr/lib64 since they may cause problems
sed -e 's!-L$([A-Z_]*)/lib!!' \
    -e 's!-L$([A-Z_]*)/$(LIBDIR)!!' -i src/Makefile

# Remove gsoap version from library names
sed -e 's!$(GSOAP_VERSION)!!g' -i src/Makefile
%patch33 -p1

%build
. ./VERSION
cd src
make CFLAGS="%optflags -fPIC -I. `pkg-config --cflags gsoap`" \
     SHLIBLDFLAGS="%{?__global_ldflags} -shared" \
     USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
     LIBDIR=%{_lib} VERSION=$VERSION all doc

%install

. ./VERSION
cd src
make CFLAGS="%optflags -fPIC -I. `pkg-config --cflags gsoap`" \
     SHLIBLDFLAGS="%{?__global_ldflags} -shared" \
     USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
     LIBDIR=%{_lib} VERSION=$VERSION install install.man

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
mv $RPM_BUILD_ROOT%{_datadir}/doc/CGSI \
   $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}

rm $RPM_BUILD_ROOT%{_libdir}/*.a

%files
%{_libdir}/libcgsi_plugin.so.*
%{_libdir}/libcgsi_plugin_cpp.so.*
%{_libdir}/libcgsi_plugin_voms.so.*
%{_libdir}/libcgsi_plugin_voms_cpp.so.*
%doc LICENSE RELEASE-NOTES

%files devel
%{_includedir}/cgsi_plugin.h
%{_libdir}/libcgsi_plugin.so
%{_libdir}/libcgsi_plugin_cpp.so
%{_libdir}/libcgsi_plugin_voms.so
%{_libdir}/libcgsi_plugin_voms_cpp.so
%doc %{_docdir}/%{name}-devel-%{version}
%doc %{_mandir}/man*/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.5-alt1_4
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.5-alt1_3
- initial fc import

